Bug 200250 - [patch] [security] sysutils/testdisk - multiple vulnerabilities
Summary: [patch] [security] sysutils/testdisk - multiple vulnerabilities
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-16 21:40 UTC by Sevan Janiyan
Modified: 2015-06-17 00:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (flz)


Attachments
Proposed patch (1.33 KB, patch)
2015-05-28 19:32 UTC, Xin LI
no flags Details | Diff
Poudriere Build Logs from 10.1-RELEASE-p10 amd64 (680.89 KB, text/x-log)
2015-06-02 01:57 UTC, Jason Unovitch
no flags Details
security/vuxml entry for testdisk (2.08 KB, patch)
2015-06-03 00:45 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Xin LI freebsd_committer 2015-05-28 19:32:12 UTC
Created attachment 157232 [details]
Proposed patch
Comment 2 Xin LI freebsd_committer 2015-05-28 19:33:19 UTC
Personally I don't see this as a huge threat but it's nice to get it fixed.
Comment 3 Jason Unovitch freebsd_committer 2015-06-02 01:57:19 UTC
Created attachment 157361 [details]
Poudriere Build Logs from 10.1-RELEASE-p10 amd64

On the 'needs-qa' front for this PR, no Poudriere warnings noted.  Log from 10.1-RELEASE-p10 jail is attached for sanity check.

Tested at buildtime via 'poudriere testport' on the following releases (info from `poudriere jail -l`)
8.4-RELEASE-p28      amd64
8.4-RELEASE-p28      i386
9.3-RELEASE-p14      amd64
9.3-RELEASE-p14      i386
10.1-RELEASE-p10     amd64
10.1-RELEASE-p10     i386
11.0-CURRENT r282869 amd64
11.0-CURRENT r282869 i386
Comment 4 Jason Unovitch freebsd_committer 2015-06-03 00:45:15 UTC
Created attachment 157387 [details]
security/vuxml entry for testdisk

security/vuxml entry with blockquote from CGSecurity's changelog and blockquote from Description security of the Security Assessment writeup.

# make validate
/bin/sh /usr/ports/security/vuxml/files/tidy.sh "/usr/ports/security/vuxml/files/tidy.xsl" "/usr/ports/security/vuxml/vuln.xml" > "/usr/ports/security/vuxml/vuln.xml.tidy"
>>> Validating...
/usr/local/bin/xmllint --valid --noout /usr/ports/security/vuxml/vuln.xml
>>> Successful.
Checking if tidy differs...
... seems okay
Checking for space/tab...
... seems okay
/usr/local/bin/python2.7 /usr/ports/security/vuxml/files/extra-validation.py /usr/ports/security/vuxml/vuln.xml

# env PKG_DBDIR=/usr/ports/security/vuxml pkg audit testdisk-6.14
testdisk-6.14 is vulnerable:
testdisk -- buffer overflow with malicious disk image
WWW: http://vuxml.FreeBSD.org/freebsd/c67069dc-0986-11e5-bb90-002590263bf5.html

1 problem(s) in the installed packages found.

# env PKG_DBDIR=/usr/ports/security/vuxml pkg audit testdisk-7.0
0 problem(s) in the installed packages found.
Comment 5 commit-hook freebsd_committer 2015-06-17 00:24:01 UTC
A commit references this bug:

Author: delphij
Date: Wed Jun 17 00:23:00 UTC 2015
New revision: 389893
URL: https://svnweb.freebsd.org/changeset/ports/389893

Log:
  Update to 7.0 (contains various security fixes)

  PR:		ports/200250
  Approved by:	maintainer timeout

Changes:
  head/sysutils/testdisk/Makefile
  head/sysutils/testdisk/distinfo
Comment 6 commit-hook freebsd_committer 2015-06-17 00:25:03 UTC
A commit references this bug:

Author: delphij
Date: Wed Jun 17 00:24:47 UTC 2015
New revision: 389894
URL: https://svnweb.freebsd.org/changeset/ports/389894

Log:
  Document testdisk multiple vulnerabilities.

  PR:		ports/200250
  Submitted by:	Jason Unovitch

Changes:
  head/security/vuxml/vuln.xml
Comment 7 Xin LI freebsd_committer 2015-06-17 00:25:30 UTC
Patches applied after maintainer timeout.